Package org.apache.storm.serialization

## Class SerializationFactory

- java.lang.Object
- - org.apache.storm.serialization.SerializationFactory

-     public class SerializationFactory
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SerializationFactory.IdDictionary` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ServiceLoader<SerializationRegister>` | `loader` |
    `static org.slf4j.Logger` | `LOG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SerializationFactory()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static com.esotericsoftware.kryo.Kryo` | `getKryo​(Map<String,​Object> conf)` |
    `static void` | `register​(com.esotericsoftware.kryo.Kryo k, Object kryoRegistrations, Map<String,​Object> conf, boolean skipMissing)` |
    `static void` | `register​(com.esotericsoftware.kryo.Kryo k, List<String> classesToRegister)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          public static final org.slf4j.Logger LOG

    - #### loader

          public static final ServiceLoader<SerializationRegister> loader

  - ### Constructor Detail

    - #### SerializationFactory

          public SerializationFactory()

  - ### Method Detail

    - #### getKryo

          public static com.esotericsoftware.kryo.Kryo getKryo​(Map<String,​Object> conf)

    - #### register

          public static void register​(com.esotericsoftware.kryo.Kryo k,
                                      List<String> classesToRegister)

    - #### register

          public static void register​(com.esotericsoftware.kryo.Kryo k,
                                      Object kryoRegistrations,
                                      Map<String,​Object> conf,
                                      boolean skipMissing)